// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services', 'monospaced.elastic', 'ion-gallery'])

.run(function($ionicPlatform, $state, $rootScope) {

  // connect to Bmob
  Bmob.initialize("b777be3981512d7b51735206d3235967", "bb7f6ab0c534f7e298fa4761dfdeddea");

  $ionicPlatform.ready(function() {
    // set default button-bar to WWE
    $rootScope.var = 1;
    
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
  });

  // listen to keyboard event
  window.addEventListener('native.keyboardshow', function() {
    $rootScope.keyboard = false;
  });

  window.addEventListener('native.keyboardhide', function() {
    $rootScope.keyboard = true;
  });

  $rootScope.backButtonPressedOnceToExit = false;

  $ionicPlatform.registerBackButtonAction(function(event) {
    // https://forum.ionicframework.com/t/handling-the-hardware-back-buttons/1505/19
    // what will happen when clicking back button on device?
    // if keyboard is on, turn it off
    // else if it's in mainTabs page, click twice to exit
    // else just go back
    if ($rootScope.keyboard) {
      $rootScope.keyboard = false;
    } else if ($state.current.name == "view.mainTabs.event" || $state.current.name == "view.mainTabs.news" || $state.current.name == "view.mainTabs.wrestler" || $state.current.name == "view.mainTabs.account") {
      // https://forum.ionicframework.com/t/press-back-button-again-to-exit/4725
      if ($rootScope.backButtonPressedOnceToExit) {
        navigator.app.exitApp();
      } else {
        $rootScope.backButtonPressedOnceToExit = true;
        window.plugins.toast.showShortBottom(
          "再按一次退出摔角画报", function(a) {}, function(b) {}
        );
        setTimeout(function() {
          $rootScope.backButtonPressedOnceToExit = false;
        }, 2000);
      }
    } else {
      navigator.app.backHistory();
    }
  }, 100);
})

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {

  // put the ion-tabs into the bottom
  $ionicConfigProvider.platform.ios.tabs.style('standard');
  $ionicConfigProvider.platform.ios.tabs.position('bottom');
  $ionicConfigProvider.platform.android.tabs.style('standard');
  $ionicConfigProvider.platform.android.tabs.position('standard');

  $ionicConfigProvider.platform.ios.navBar.alignTitle('center');
  $ionicConfigProvider.platform.android.navBar.alignTitle('left');

  $ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
  $ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');

  $ionicConfigProvider.platform.ios.views.transition('ios');
  $ionicConfigProvider.platform.android.views.transition('android');

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider

  .state('view', {
    url: '/view',
    abstract: true,
    templateUrl: 'templates/view.html'
  })

  .state('view.mainTabs', {
    url: '/mainTabs',
    abstract: true,
    views: {
      'view-tabs': {
        templateUrl: 'templates/view-mainTabs.html',
        controller: 'MainTabsCtrl'
      }
    }
  })

  // Each tab has its own nav history stack:

  .state('view.mainTabs.event', {
    url: '/event',
    views: {
      'mainTabs-event': {
        templateUrl: 'templates/mainTabs-event.html',
        controller: 'MainEventCtrl'
      }
    }
  })

    .state('view.eventTabs', {
      cache: false,
      url: '/eventTabs',
      abstract: true,
      views: {
        'view-tabs': {
          templateUrl: 'templates/view-eventTabs.html',
          controller: 'EventTabsCtrl'
        }
      }
    })

      .state('view.eventTabs.event-card', {
        url: '/:eventId/card',
        views: {
          'eventTabs-card': {
            templateUrl: 'templates/event-card.html',
            controller: 'EventCardCtrl'
          }
        }
      })

      .state('view.eventTabs.event-video', {
        url: '/:eventId/video',
        views: {
          'eventTabs-video': {
            templateUrl: 'templates/event-video.html',
            controller: 'EventVideoCtrl'
          }
        }
      })

      // .state('view.eventTabs.event-photo', {
      //   url: '/5656/photo',
      //   views: {
      //     'eventTabs-photo': {
      //       templateUrl: 'templates/event-photo.html',
      //       controller: 'EventPhotoCtrl'
      //     }
      //   }
      // })
      //   .state('view.eventTabs.photo-detail', {
      //     url: '/5656/photo/666',
      //     views: {
      //       'eventTabs-photo': {
      //         templateUrl: 'templates/photo-detail.html',
      //         controller: 'EventPhotoDetailCtrl'
      //       }
      //     }
      //   })

      .state('view.eventTabs.event-chat', {
        url: '/:eventId/chat',
        views: {
          'eventTabs-chat': {
            templateUrl: 'templates/event-chat.html',
            controller: 'EventChatCtrl'
          }
        }
      })

  .state('view.mainTabs.news', {
    url: '/news',
    views: {
      'mainTabs-news': {
        templateUrl: 'templates/mainTabs-news.html',
        controller: 'MainNewsCtrl'
      }
    }
  })
    .state('view.news-detail', {
      url: '/news/:newsId',
      views: {
        'view-tabs': {
          templateUrl: 'templates/news-detail.html',
          controller: 'MainNewsDetailCtrl'
        }
      }
    })
      .state('view.detail-comment', {
        url: '/news/:newsId/comment',
        views: {
          'view-tabs': {
            templateUrl: 'templates/detail-comment.html',
            controller: 'MainNewsCommentCtrl'
          }
        }
      })

  .state('view.mainTabs.wrestler', {
    cache: false,
    url: '/wrestler',
    views: {
      'mainTabs-wrestler': {
        templateUrl: 'templates/mainTabs-wrestler.html',
        controller: 'MainWrestlerCtrl'
      }
    }
  })
    .state('view.wrestler-list', {
      cache: false,
      url: '/wrestler/:promotion',
      views: {
        'view-tabs': {
          templateUrl: 'templates/wrestler-list.html',
          controller: 'MainWrestlerListCtrl'
        }
      }
    })
      .state('view.wrestler-profile', {
        cache: false,
        url: '/wrestler/:promotion/:wrestlerId',
        views: {
          'view-tabs': {
            templateUrl: 'templates/wrestler-profile.html',
            controller: 'MainWrestlerProfileCtrl'
          }
        }
      })

  .state('view.mainTabs.account', {
    cache: false,
    url: '/account',
    views: {
      'mainTabs-account': {
        templateUrl: 'templates/mainTabs-account.html',
        controller: 'MainAccountCtrl'
      }
    }
  })
    .state('view.mainTabs.profile', {
      cache: false,
      url: '/account/profile',
      views: {
        'mainTabs-account': {
          templateUrl: 'templates/account-profile.html',
          controller: 'MainAccountProfileCtrl'
        }
      }
    })
    .state('view.mainTabs.login', {
      url: '/account/login',
      views: {
        'mainTabs-account': {
          templateUrl: 'templates/account-login.html',
          controller: 'MainAccountLoginCtrl'
        }
      }
    })
      .state('view.mainTabs.loginViaTelephone', {
        url: '/account/login/loginViaTelephone',
        views: {
          'mainTabs-account': {
            templateUrl: 'templates/login-telephone.html',
            controller: 'MainAccountLoginTelephoneCtrl'
          }
        }
      })
        .state('view.mainTabs.changePasswd', {
          url: '/account/login/loginViaTelephone/changePasswd',
          views: {
            'mainTabs-account': {
              templateUrl: 'templates/login-changePasswd.html',
              controller: 'MainAccountChangePasswdCtrl'
            }
          }
        })
        .state('view.mainTabs.registerViaTelephone', {
          url: '/account/login/loginViaTelephone/registerViaTelephone',
          views: {
            'mainTabs-account': {
              templateUrl: 'templates/register-telephone.html',
              controller: 'MainAccountRegisterTelephoneCtrl'
            }
          }
        })
    // .state('view.mainTabs.favorite', {
    //   url: '/account/favorite',
    //   views: {
    //     'mainTabs-account': {
    //       templateUrl: 'templates/account-favorite.html',
    //       controller: 'MainAccountFavoriteCtrl'
    //     }
    //   }
    // })
    .state('view.mainTabs.setting', {
      url: '/account/setting',
      views: {
        'mainTabs-account': {
          templateUrl: 'templates/account-setting.html',
          controller: 'MainAccountSettingCtrl'
        }
      }
    })
      .state('view.mainTabs.contact', {
        url: '/account/setting/contact',
        views: {
          'mainTabs-account': {
            templateUrl: 'templates/setting-contact.html',
            controller: 'MainAccountContactCtrl'
          }
        }
      })
      .state('view.mainTabs.board', {
        url: '/account/setting/board',
        views: {
          'mainTabs-account': {
            templateUrl: 'templates/setting-board.html',
            controller: 'MainAccountBoardCtrl'
          }
        }
      })

  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/view/mainTabs/event');

})
