angular.module('starter.controllers', ['ngSanitize'])

.controller('MainTabsCtrl', function($scope) {})

.controller('MainEventCtrl', function($scope, $rootScope, $filter, Config) {
	Config.getConfig("bestCommentApproveQuantity").then(function(results) {
		$rootScope.bestCommentApproveQuantity = parseInt(results[0].attributes.value, 10);
	});
	
	Config.getConfig("bestCommentQuantity").then(function(results) {
		$rootScope.bestCommentQuantity = parseInt(results[0].attributes.value, 10);
	});

	$rootScope.currentUser = Bmob.User.current();

	$scope.moreDataCanBeLoaded = true;

	$scope.autoLoad = true;

	$scope.date = new Date();
	// show events in 7 days
	$scope.date.setDate($scope.date.getDate() + 6);

	var Event = Bmob.Object.extend("Event");

	// change tab
	$scope.clicked = function(num) {
		if ($scope.var != num) {
	  	$scope.var = num;
	  	$scope.doRefresh($scope.var);
  	}
	}

	$scope.doRefresh = function(cat) {
		$scope.results = null;
		$scope.date = new Date();
		$scope.date.setDate($scope.date.getDate() + 6);
  	$scope.moreDataCanBeLoaded = true;

		$scope.loadMore(cat);

	  $scope.$broadcast('scroll.refreshComplete');
	}

	$scope.loadMore = function(cat) {
		var loadMoreQuery = new Bmob.Query(Event);
		// if it's first, show date
		loadMoreQuery.select("name", "date", "day", "ifFirst", "youkuVid");
		loadMoreQuery.descending("createdAt");
		$scope.formatDate = $filter("date")($scope.date, "yyyy-M-d");
		loadMoreQuery.equalTo("date", $scope.formatDate);
		if (cat == 1)
			loadMoreQuery.equalTo("category", "WWE");
		else
			loadMoreQuery.equalTo("category", "else");
		loadMoreQuery.find().then(function(results) {
			if (!$scope.results) {
	  			$scope.results = results;
	  		}
	  		else {
	  			$scope.results = $scope.results.concat(results);
	  		}
	  		$scope.$apply();

  			if (!$scope.moreDataCanBeLoaded)
  				window.plugins.toast.showShortBottom(
  					"没有更多的节目了=。=", function(a) {
  						$scope.autoLoad = false;
  					}, function(b) {}
        	);

  			// refer to earliest date in database
  			// so that it won't stop when it reaches a day without data
  			if ($scope.formatDate == "2016-5-20")
  				$scope.moreDataCanBeLoaded = false;
  			else
  				$scope.moreDataCanBeLoaded = true;

	  		$scope.$broadcast('scroll.infiniteScrollComplete');
		});
		$scope.date.setDate($scope.date.getDate() - 1);
	}
})

.controller('EventTabsCtrl', function($scope) {})

.controller('EventCardCtrl', function($scope, $rootScope, $state, $stateParams) {
	$rootScope.toMainEvent = function() {
		$state.go('view.mainTabs.event');
	}

	// whether to show results
	$scope.$on('$ionicView.beforeEnter', function() {
		$scope.showResultsBool = false;
	})
	$scope.showResults = function() {
		$scope.showResultsBool = !$scope.showResultsBool;
	}

	$rootScope.eventId = $stateParams.eventId;

	var Event = Bmob.Object.extend("Event");
	var query = new Bmob.Query(Event);
	query.get($rootScope.eventId).then(function(results) {
  		$scope.results = results;
  		$scope.$apply();
	});
})

.controller('EventVideoCtrl', function($scope, $rootScope, $timeout, $state) {
	// change tab
	$scope.clicked = function(num) {
		if ($scope.var != num) {
    	$scope.var = num;
    	$scope.doRefresh($scope.var);
    }
	}

	var Event = Bmob.Object.extend("Event");
	var query = new Bmob.Query(Event);
	query.get($rootScope.eventId).then(function(results) {
  		$scope.results = results;
  		$scope.$apply();
			$scope.doRefresh($scope.var);
	});

	$scope.videoShow = false;

	$scope.doRefresh = function(ver) {
		// $apply already in progress
		// use $timeout instead
		if (ver == 1 && $scope.results.attributes.youkuVid[0]) {
		  player = new YKU.Player('youkuplayer', {
			  client_id: '13ba819e8b3777a3',
			  vid: $scope.results.attributes.youkuVid[0],
			  show_related: false,
			  newPlayer: true
		  });
			$timeout(function() {
		  	$scope.videoShow = true;
			});
		} else if (ver == 2 && $scope.results.attributes.youkuVid[1]) {
		  player = new YKU.Player('youkuplayer', {
			  client_id: '13ba819e8b3777a3',
			  vid: $scope.results.attributes.youkuVid[1],
			  show_related: false,
			  newPlayer: true
		  });
			$timeout(function() {
		  	$scope.videoShow = true;
			});
		} else {
			$timeout(function() {
		  	$scope.videoShow = false;
			});
		}
	}

	// screen orientation
	// for watching video in full screen
	$scope.screenOrientation = "portrait";

  document.addEventListener("deviceready", onDeviceReady, false);
  function onDeviceReady() {
    $scope.changeOriantation = function() {
    	if ($scope.screenOrientation == "portrait") {
      	screen.lockOrientation('landscape');
      	$scope.screenOrientation = "landscape";
  			$scope.$apply();
    	} else {
      	screen.lockOrientation('portrait');
      	$scope.screenOrientation = "portrait";
  			$scope.$apply();
    	}
    }
  }

	$scope.$on('$ionicView.leave', function() {
  	screen.lockOrientation('portrait');
  	$scope.screenOrientation = "portrait";
  	$scope.$apply();
	})

	$scope.toMainEvent = function() {
		$state.go('view.mainTabs.event');
  	screen.lockOrientation('portrait');
  	$scope.screenOrientation = "portrait";
  	$scope.$apply();
	}
})

.controller('EventPhotoCtrl', function($scope) {})

.controller('EventPhotoDetailCtrl', function($scope) {

	// ion-gallery
	$scope.items = [
	  {
	    src:'http://pwidb.b0.upaiyun.com/news/wwe/1.jpg',
	    sub: 'This is a <b>subtitle</b>.'
	  },
	  {
	    src:'http://pwidb.b0.upaiyun.com/news/wwe/2.jpg'
	  },
	  {
	    src:'http://pwidb.b0.upaiyun.com/news/wwe/3.jpg'
	  }
	]

})

.controller('EventChatCtrl', function($scope, $rootScope, $ionicHistory, $state, $stateParams) {
	$scope.checkLogin = function() {
		if (!$rootScope.currentUser) {
			window.plugins.toast.showShortBottom(
				"你需要登录才能参与互动哦！", function(a) {
				  $ionicHistory.nextViewOptions({
				    disableBack: true
				  });
					$state.go("view.mainTabs.account");
				}, function(b) {}
    	);
		}
	}

	$scope.id = $stateParams.eventId;

	var Event = Bmob.Object.extend("Event");
	var query = new Bmob.Query(Event);
	query.get($scope.id).then(function(results) {
  		$scope.results = results;
  		$scope.$apply();
	});

	var EventComment = Bmob.Object.extend("EventComment");
	var query = new Bmob.Query(EventComment);
	query.equalTo("eventId", $scope.id);
	query.descending("createdAt");
	query.find().then(function(results) {
		$scope.eventComments = results;
		$scope.$apply();
	});

	var BestEventComment = Bmob.Object.extend("EventComment");
	var bestEventCommentQuery = new Bmob.Query(BestEventComment);
	bestEventCommentQuery.equalTo("newsId", $scope.id);
	bestEventCommentQuery.limit($rootScope.bestCommentQuantity);
	bestEventCommentQuery.greaterThanOrEqualTo("approve", $rootScope.bestCommentApproveQuantity);
	bestEventCommentQuery.find().then(function(results) {
		$scope.bestComments = results;
		$scope.$apply();
	});

	$scope.input = {};

	$scope.send = function() {
		if (!$scope.input.eventComment)
			window.plugins.toast.showShortBottom(
				"内容不能为空=。=", function(a) {}, function(b) {}
    	);
		else {
			if ($scope.input.eventComment.length < 5)
				window.plugins.toast.showShortBottom(
					"内容不能少于5个字0.0", function(a) {}, function(b) {}
	    	);
			else {
				var query = new Bmob.Query(Bmob.User);
				query.equalTo("username", $rootScope.currentUser.getUsername());
				query.find({
				  success: function(results) {
				  	$scope.results = results;
				  	$scope.$apply();

						var EventComment = Bmob.Object.extend("EventComment");
						var eventComment = new EventComment();

						eventComment.set("eventId", $scope.id);
						eventComment.set("userId", $scope.results[0].id);
						eventComment.set("ringName", $scope.results[0].attributes.ringName);
						eventComment.set("content", $scope.input.eventComment);
						eventComment.set("approve", 0);
						eventComment.set("approveUsername", ["Guure"]);
						eventComment.set("disapprove", 0);
						eventComment.set("disapproveUsername", ["Guure"]);

						eventComment.save(null, {
						  success: function(eventComment) {
						  	$scope.input.eventComment = "";
						  	$scope.$apply();
								window.plugins.toast.showShortBottom(
									"发送成功", function(a) {}, function(b) {}
					    	);
						  },
						  error: function(eventComment, error) {
								window.plugins.toast.showShortBottom(
									error.message, function(a) {}, function(b) {}
					    	);
						  }
						});
				  }
				});
			}
		}
	}

	$scope.judge = function(eventCommentId, j) {
		$scope.checkLogin();
		if ($rootScope.currentUser) {
			var EventComment = Bmob.Object.extend("EventComment");
			var eventCommentQuery = new Bmob.Query(EventComment);
			eventCommentQuery.equalTo("objectId", eventCommentId);
			eventCommentQuery.notEqualTo(j + "Username", $rootScope.currentUser.getUsername());
			eventCommentQuery.select(j, j + "Username");

			eventCommentQuery.find().then(function(eventComment) {
				if (eventComment.length > 0) {
					eventComment[0].increment(j);
					eventComment[0].addUnique(j + "Username", $rootScope.currentUser.getUsername());
					eventComment[0].save();
					if (j == "approve")
						window.plugins.toast.showShortBottom(
							"点赞成功", function(a) {}, function(b) {}
			    	);
					else
						window.plugins.toast.showShortBottom(
							"踩踏成功", function(a) {}, function(b) {}
			    	);
				}
			});
		}
	}
})

.controller('MainNewsCtrl', function($scope, $rootScope, $filter) {
	$scope.moreDataCanBeLoaded = true;

	$scope.autoLoad = true;

	$scope.date = new Date();

	var News = Bmob.Object.extend("News");

	$scope.clicked = function(num) {
		if ($scope.var != num) {
    	$scope.var = num;
    	$scope.doRefresh($scope.var);
    }
	}

	$scope.doRefresh = function(cat) {
		$scope.results = null;
		$scope.date = new Date();
  	$scope.moreDataCanBeLoaded = true;

		$scope.loadMore(cat);

	  $scope.$broadcast('scroll.refreshComplete');
	}

	$scope.loadMore = function(cat) {
		var loadMoreQuery = new Bmob.Query(News);
		loadMoreQuery.select("title", "summary", "photo", "commentQuantity");
		loadMoreQuery.descending("createdAt");
		$scope.formatDate = $filter("date")($scope.date, "yyyy-M-d");
		loadMoreQuery.equalTo("date", $scope.formatDate);
		if (cat == 1)
			loadMoreQuery.equalTo("category", "WWE");
		else
			loadMoreQuery.equalTo("category", "else");
		loadMoreQuery.find().then(function(results) {
			if (!$scope.results) {
	  			$scope.results = results;
	  		}
	  		else {
	  			$scope.results = $scope.results.concat(results);
	  		}
	  		$scope.$apply();

  			if (!$scope.moreDataCanBeLoaded)
  				window.plugins.toast.showShortBottom(
  					"没有更多的新闻了=。=", function(a) {
  						$scope.autoLoad = false;
  					}, function(b) {}
        	);

  			if ($scope.formatDate == "2016-5-17")
  				$scope.moreDataCanBeLoaded = false;
  			else
  				$scope.moreDataCanBeLoaded = true;

	  		$scope.$broadcast('scroll.infiniteScrollComplete');
		});
		$scope.date.setDate($scope.date.getDate() - 1);
	}
})

.controller('MainNewsDetailCtrl', function($scope, $rootScope, $timeout, $stateParams, $ionicHistory, $state, $filter, $sce) {

	// https://forum.ionicframework.com/t/ionic-elastichat-chat-demo-w-auto-resizing-textarea/13562
	// resize textarea
	var footerBar;
	var scroller;

	$scope.$on('$ionicView.enter', function() {
		$timeout(function() {
		  footerBar = document.body.querySelector('#newsDetailView .bar-footer');
		  scroller = document.body.querySelector('#newsDetailView .scroll-content');
		}, 0);

		$scope.id = $stateParams.newsId;

		var News = Bmob.Object.extend("News");
		var newsQuery = new Bmob.Query(News);
		newsQuery.get($scope.id).then(function(results) {
			$scope.results = results;
       $scope.deliberatelyTrustDangerousSnippet = function() {
         return $sce.trustAsHtml(results.attributes.content);
       };
			$scope.$apply();
		});

		var BestNewsComment = Bmob.Object.extend("NewsComment");
		var bestNewsCommentQuery = new Bmob.Query(BestNewsComment);
		bestNewsCommentQuery.equalTo("newsId", $scope.id);
		bestNewsCommentQuery.limit($rootScope.bestCommentQuantity);
		bestNewsCommentQuery.greaterThanOrEqualTo("approve", $rootScope.bestCommentApproveQuantity);
		bestNewsCommentQuery.find().then(function(results) {
			$scope.bestComments = results;
			$scope.$apply();
		});
	});

	$scope.$on('taResize', function(e, ta) {
	  if (!ta) return;

	  var taHeight = ta[0].offsetHeight;

	  if (!footerBar) return;

	  var newFooterHeight = taHeight + 10;
	  newFooterHeight = (newFooterHeight > 44) ? newFooterHeight : 44;

		// for iOS you will need to add the keyboardHeight to the scroller.style.bottom
    footerBar.style.height = newFooterHeight + 'px';
    scroller.style.bottom = newFooterHeight + 'px';
	});

	$rootScope.checkLogin = function() {
		if (!$rootScope.currentUser) {
			window.plugins.toast.showShortBottom(
				"你需要登录才能参与互动哦！", function(a) {
				  $ionicHistory.nextViewOptions({
				    disableBack: true
				  });
					$state.go("view.mainTabs.account");
				}, function(b) {}
    	);
		}
	}

	$rootScope.input = {};

	$rootScope.send = function() {
		if (!$rootScope.input.newsComment)
			window.plugins.toast.showShortBottom(
				"内容不能为空=。=", function(a) {}, function(b) {}
    	);
		else {
			if ($rootScope.input.newsComment.length < 5)
				window.plugins.toast.showShortBottom(
					"内容不能少于5个字0.0", function(a) {}, function(b) {}
	    	);
			else {
				var newsAddComment = Bmob.Object.extend("News");
				var newsAddCommentQuery = new Bmob.Query(newsAddComment);
				newsAddCommentQuery.get($scope.id).then(function(results) {
					results.increment("commentQuantity");
					results.save();
				});

				var query = new Bmob.Query(Bmob.User);
				query.equalTo("username", $rootScope.currentUser.getUsername());
				query.find({
				  success: function(results) {
				  	$scope.results = results;
				  	$scope.$apply();

						var NewsComment = Bmob.Object.extend("NewsComment");
						var newsComment = new NewsComment();

						newsComment.set("newsId", $scope.id);
						newsComment.set("userId", $scope.results[0].id);
						newsComment.set("ringName", $scope.results[0].attributes.ringName);
						newsComment.set("content", $rootScope.input.newsComment);
						newsComment.set("approve", 0);
						newsComment.set("approveUsername", ["Guure"]);
						newsComment.set("disapprove", 0);
						newsComment.set("disapproveUsername", ["Guure"]);

						newsComment.save(null, {
						  success: function(newsComment) {
						  	$rootScope.input.newsComment = "";
								window.plugins.toast.showShortBottom(
									"发送成功", function(a) {}, function(b) {}
					    	);
						  },
						  error: function(newsComment, error) {
								window.plugins.toast.showShortBottom(
									error.message, function(a) {}, function(b) {}
					    	);
						  }
						});
				  }
				});
			}
		}
	}

	$rootScope.judge = function(newsCommentId, j) {
		$scope.checkLogin();
		if ($rootScope.currentUser) {
			var NewsComment = Bmob.Object.extend("NewsComment");
			var newsCommentQuery = new Bmob.Query(NewsComment);
			newsCommentQuery.equalTo("objectId", newsCommentId);
			newsCommentQuery.notEqualTo(j + "Username", $rootScope.currentUser.getUsername());
			newsCommentQuery.select(j, j + "Username");

			newsCommentQuery.find().then(function(newsComment) {
				if (newsComment.length > 0) {
					newsComment[0].increment(j);
					newsComment[0].addUnique(j + "Username", $rootScope.currentUser.getUsername());
					newsComment[0].save();
					if (j == "approve")
						window.plugins.toast.showShortBottom(
							"点赞成功", function(a) {}, function(b) {}
			    	);
					else
						window.plugins.toast.showShortBottom(
							"踩踏成功", function(a) {}, function(b) {}
			    	);
				}
			});
		}
	}

})

.controller('MainNewsCommentCtrl', function($scope, $stateParams, $rootScope) {
	$scope.id = $stateParams.newsId;

	var News = Bmob.Object.extend("News");
	var newsQuery = new Bmob.Query(News);
	newsQuery.get($scope.id).then(function(results) {
		$scope.results = results;
		$scope.$apply();
	});

	var NewsComment = Bmob.Object.extend("NewsComment");
	var query = new Bmob.Query(NewsComment);
	query.equalTo("newsId", $scope.id);
	query.descending("createdAt");
	query.find().then(function(results) {
		$scope.newsComments = results;
		$scope.$apply();
	});

	var BestNewsComment = Bmob.Object.extend("NewsComment");
	var bestNewsCommentQuery = new Bmob.Query(BestNewsComment);
	bestNewsCommentQuery.equalTo("newsId", $scope.id);
	bestNewsCommentQuery.limit($rootScope.bestCommentQuantity);
	bestNewsCommentQuery.greaterThanOrEqualTo("approve", $rootScope.bestCommentApproveQuantity);
	bestNewsCommentQuery.find().then(function(results) {
		$scope.bestComments = results;
		$scope.$apply();
	});
})

.controller('MainWrestlerCtrl', function($scope) {
	var Wrestler = Bmob.Object.extend("Wrestler");
	var query = new Bmob.Query(Wrestler);
	query.select("title");
	query.ascending("title");
	query.find().then(function(results) {
  		$scope.results = results;
	});

	$scope.reign = [];

	var champQuery = new Bmob.Query(Wrestler);
	champQuery.select("reign", "photo");
	champQuery.exists("reign");

	// for Bmob bug
	champQuery.notEqualTo("reign", "");

	champQuery.descending("updatedAt");
	champQuery.find().then(function(champions) {
  		$scope.champions = champions;
  		$scope.$apply();
	});
})

.controller('MainWrestlerListCtrl', function($scope) {
	$scope.loadList = function(num) {
		var Wrestler = Bmob.Object.extend("Wrestler");
		var query = new Bmob.Query(Wrestler);
		query.select("title");
		query.ascending("title");
		query.equalTo("num", num);
		query.find().then(function(results) {
			$scope.results = results;
			$scope.$apply();
		})
	}

	$scope.$on('$ionicView.enter', function() {
		$scope.loadList($scope.var);
	})

	$scope.clicked = function(num) {
		if ($scope.var != num) {
			$scope.var = num;
			$scope.loadList($scope.var);
		}
	}
})

.controller('MainWrestlerProfileCtrl', function($scope, $stateParams) {
	$scope.id = $stateParams.wrestlerId;

	var Wrestler = Bmob.Object.extend("Wrestler");
	var query = new Bmob.Query(Wrestler);
	query.get($scope.id).then(function(results) {
  	$scope.results = results;

  	// count age
		var dob = results.attributes.born;
		var year = Number(dob.substr(0,4));
		var month = Number(dob.substr(5,2)) - 1;
		var day = Number(dob.substr(8,2));
		var today = new Date();
		$scope.age = today.getFullYear() - year;
		if(today.getMonth() < month || (today.getMonth() == month && today.getDate() < day))
			 $scope.age--;
  		$scope.$apply();
	});
})

.controller('MainAccountCtrl', function($scope, $rootScope) {
  $scope.$on('$ionicView.enter', function() {
  	$rootScope.hideTabs = '';
	});

	if ($rootScope.currentUser) {
		var query = new Bmob.Query(Bmob.User);
		query.equalTo("username", $rootScope.currentUser.getUsername());
		query.find({
		  success: function(results) {
		  	$scope.results = results;
		  	$scope.$apply();
		  }
		});
	}
})

.controller('MainAccountProfileCtrl', function($scope, $state, $rootScope, $ionicHistory) {
	var query = new Bmob.Query(Bmob.User);
	query.equalTo("username", $rootScope.currentUser.getUsername());
	query.find({
	  success: function(results) {
	  	$scope.results = results;
	  	$scope.$apply();
	  }
	});

	$scope.save = function() {
		$rootScope.currentUser.save({
			"ringName": $scope.results[0].attributes.ringName,
			"gender": $scope.results[0].attributes.gender,
			"from": $scope.results[0].attributes.from,
			"finishingMove": $scope.results[0].attributes.finishingMove
		}, {
			success: function() {
				window.plugins.toast.showShortCenter(
					"保存成功", function(a) {
					  $ionicHistory.nextViewOptions({
					    disableBack: true
					  });
						$state.go("view.mainTabs.account");
					}, function(b) {}
	    	);
			},
			error: function() {
				window.plugins.toast.showShortCenter(
					"保存失败，请重新尝试", function(a) {}, function(b) {}
	    	);
			}
		});
	}

	$scope.logout = function() {
		Bmob.User.logOut();
		$rootScope.currentUser = Bmob.User.current();
	  $ionicHistory.nextViewOptions({
	    disableBack: true
	  });
		$state.go("view.mainTabs.account");
	}

	$scope.changeAvatar = function() {
		window.plugins.toast.showShortBottom(
			"头像功能尚未推出=。=", function(a) {}, function(b) {}
  	);
	}
})

.controller('MainAccountLoginCtrl', function($scope) {})

.controller('MainAccountLoginTelephoneCtrl', function($scope, $state, $rootScope, $ionicHistory) {

	$scope.formData = {};

	$scope.login = function() {
		Bmob.User.logIn($scope.formData.username, $scope.formData.passwd, {
		  success: function(user) {
				window.plugins.toast.showShortCenter(
					"登录成功", function(a) {
						$rootScope.currentUser = Bmob.User.current();
					  $ionicHistory.nextViewOptions({
					    disableBack: true
					  });
						$state.go("view.mainTabs.account");
					}, function(b) {}
	    	);
		  },
		  error: function(user, error) {
				window.plugins.toast.showShortCenter(
					"当前账号和密码不匹配", function(a) {}, function(b) {}
	    	);
		  }
		});
	}

})

.controller('MainAccountRegisterTelephoneCtrl', function($scope, $state, $rootScope, $ionicHistory) {

	$scope.formData = {};
	$scope.ifSendCode = false;

	$scope.sendSmsCode = function() {
		if(!$scope.formData.telephone)
			window.plugins.toast.showShortCenter(
				"请填写正确的手机号", function(a) {}, function(b) {}
    	);
		else {
			Bmob.Sms.requestSmsCode({"mobilePhoneNumber": $scope.formData.telephone, "template":"手机号注册"}).then(function(obj) {
				window.plugins.toast.showShortCenter(
					"我们已发送短信到上面的手机号", function(a) {
						$scope.ifSendCode = true;
						$scope.$apply();
					}, function(b) {}
	    	);
			}, function(err) {
				window.plugins.toast.showShortCenter(
					"发送失败，请重新尝试", function(a) {}, function(b) {}
	    	);
			});
		}
	}

	$scope.register = function() {
		if ($scope.formData.passwd != $scope.formData.passwd2) {
			window.plugins.toast.showShortCenter(
				"两次输入的密码不一致", function(a) {}, function(b) {}
			);
		} else {
			Bmob.Sms.verifySmsCode($scope.formData.telephone, $scope.formData.smsCode).then(function(obj) {

				var user = new Bmob.User();
				user.set("username", $scope.formData.username);
				user.set("password", $scope.formData.passwd);
				user.set("email", $scope.formData.email);
				user.set("mobilePhoneNumberVerified", true);
				user.set("mobilePhoneNumber", $scope.formData.telephone);

				user.signUp(null, {
				  success: function(user) {
						window.plugins.toast.showShortCenter(
							"注册成功", function(a) {
								$rootScope.currentUser = Bmob.User.current();

							  $ionicHistory.nextViewOptions({
							    disableBack: true
							  });

								$state.go("view.mainTabs.profile");
							}, function(b) {}
			    	);
				  },
				  error: function(user, error) {
						window.plugins.toast.showShortCenter(
							error.message, function(a) {}, function(b) {}
			    	);
				  }
				});
			}, function(err) {
				window.plugins.toast.showShortCenter(
					"验证码错误，请重新尝试", function(a) {}, function(b) {}
	    	);
			});
		}
	}

})

// .controller('MainAccountFavoriteCtrl', function($scope) {})

.controller('MainAccountSettingCtrl', function($scope) {})

.controller('MainAccountBoardCtrl', function($scope, Config) {
	Config.getConfig("boardContent").then(function(results) {
		$scope.boardContent = results[0].attributes.value;
	});
})

.controller('MainAccountChangePasswdCtrl', function($scope) {
	$scope.formData = {};
	$scope.submit = function() {
		Bmob.User.requestPasswordReset($scope.formData.email, {
		  success: function() {
				window.plugins.toast.showShortCenter(
					"已发送密码重设邮件", function(a) {}, function(b) {}
	    	);
		  },
		  error: function(error) {
				window.plugins.toast.showShortCenter(
					error.message, function(a) {}, function(b) {}
	    	);
		  }
		});
	}
})

.controller('MainAccountContactCtrl', function($scope) {})
